Subject: Re: [PATCH] [PATCH ipsec] xfrm: Store ipsec interface index

From: Leon Romanovsky <[email-masked]>
Date: Mon, 1 Apr 2024 17:27:07 +0300

On Fri, Mar 22, 2024 at 12:14:44PM -0700, Feng Wang wrote:
> Hi Leon and Steffen,
> 
> Thanks for providing me with the information. I went through the offload
> driver code but I didn't find any solution for my case.  Is there any
> existing solution available?  For example, there are 2 IPSec sessions with
> the same xfrm_selector results, when trying to encrypt the packet, how to
> find out which session this packet belongs to?

HW catches packets based on match criteria of source and destination. If
source, destination and other match criteria are the same for different
sessions, then from HW perspective, it is the same session.

Thanks